edu.ucsb.nceas.metacat.spatial

## Class SldFactory

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - edu.ucsb.nceas.metacat.spatial.SldFactory

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class SldFactory
      extends javax.servlet.http.HttpServlet

  Class to generate Styled Layer Descriptors allowing geoserver to filter the feature rendering based on various contraints such as permissions, non-spatial queries and skin configuration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SldFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle "GET" method requests from HTTP clients
    `void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle "POST" method requests from HTTP clients

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SldFactory

          public SldFactory()

  - ### Method Detail

    - #### doGet

          public void doGet(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)
                     throws javax.servlet.ServletException,
                            java.io.IOException

      Handle "GET" method requests from HTTP clients
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `request` - Incoming servlet request.
        `response` - Servlet response.
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### doPost

          public void doPost(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws javax.servlet.ServletException,
                             java.io.IOException

      Handle "POST" method requests from HTTP clients
      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `request` - Incoming servlet request.
        `response` - Servlet response.
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.